import scrapy



class XsbiqugeSpider(scrapy.Spider):
    name = 'xsbiquge'
    allowed_domains = ['xsbiquge.com']
    start_urls = ['https://www.xsbiquge.com/12_12203/?_t=1535254944']  # 首页

    def parse(self, response):
        urls = response.xpath('//div[@id="list"]/dl/dd/a/@href').extract()
        for url in urls:
            yield scrapy.Request(response.urljoin(url), callback=self.parse_content)

    def parse_content(self, response):
        # 注意，此处的extract_first()相当于extract[0],目的是把列表中的元素取出来成为字符串，才有strip()方法
        content = response.xpath('string(//div[@id="content"])').extract_first().strip().replace('    ', '\n')
        title = response.xpath('//h1/text()').extract()[0].strip()  # 变成字符串
        yield {
            'title': title,
            'content': content
        }
